Data Fields

# arm_pid_instance_q15 Struct Reference

Instance structure for the Q15 PID Control. More...

`#include <arm_math.h>`

## Data Fields
q15_t | A0
q31_t | A1
q15_t | state [3]
q15_t | Kp
q15_t | Ki
q15_t | Kd

## Detailed Description

Instance structure for the Q15 PID Control.

Definition at line 1664 of file arm_math.h.

## Field Documentation

q15_t arm_pid_instance_q15::A0

The derived gain, A0 = Kp + Ki + Kd .

Definition at line 1666 of file arm_math.h.

q31_t arm_pid_instance_q15::A1

The derived gain A1 = -Kp - 2Kd | Kd.

Definition at line 1671 of file arm_math.h.

q15_t arm_pid_instance_q15::state[3]

The state array of length 3.

Definition at line 1673 of file arm_math.h.

q15_t arm_pid_instance_q15::Kp

The proportional gain.

Definition at line 1674 of file arm_math.h.

q15_t arm_pid_instance_q15::Ki

The integral gain.

Definition at line 1675 of file arm_math.h.

q15_t arm_pid_instance_q15::Kd

The derivative gain.

Definition at line 1676 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines